Package org.apache.catalina.valves.rewrite

## Class Substitution.StaticElement

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Substitution.SubstitutionElement
  - - org.apache.catalina.valves.rewrite.Substitution.StaticElement

Enclosing class:
  Substitution

    public static class Substitution.StaticElement
    extends Substitution.SubstitutionElement

### Field Summary

Fields
`java.lang.String` `value`

### Constructor Summary

Constructors
`StaticElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `evaluate​(java.util.regex.Matcher rule, java.util.regex.Matcher cond, Resolver resolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    public java.lang.String value

### Constructor Detail

#### StaticElement

    public StaticElement()

### Method Detail

#### evaluate

    public java.lang.String evaluate​(java.util.regex.Matcher rule,
                                     java.util.regex.Matcher cond,
                                     Resolver resolver)

Specified by:
  `evaluate` in class `Substitution.SubstitutionElement`